org.apache.pdfbox.preflight.font.util

## Class GlyphException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.pdfbox.preflight.font.util.GlyphException

All Implemented Interfaces:
  Serializable

    public class GlyphException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GlyphException(String errorCode, int cid)`
`GlyphException(String errorCode, int cid, String message)`
`GlyphException(String errorCode, int cid, String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getErrorCode()`
`int` `getInvalidCid()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GlyphException

    public GlyphException(String errorCode,
                          int cid)

#### GlyphException

    public GlyphException(String errorCode,
                          int cid,
                          String message)

#### GlyphException

    public GlyphException(String errorCode,
                          int cid,
                          String message,
                          Throwable cause)

### Method Detail

#### getErrorCode

    public String getErrorCode()

#### getInvalidCid

    public int getInvalidCid()